package com.zhili.stationserver.dto;

import com.zhili.stationserver.annotation.ProtocalTranform;
import com.zhili.stationserver.annotation.TransformField;
import lombok.Data;

import static com.zhili.stationserver.constant.TransformType.*;

/**
 * @author zhaoyuanqi
 */
@Data
@ProtocalTranform(command = StationMessage.CommandType.START_CHARGE, size = 37)
public class ChargeStartDto {

    @TransformField(start = 0, type = UINT_TYPE)
    Integer chargerId;
    @TransformField(start = 1, type = UINT_TYPE, length = 2)
    Integer userId;
    @TransformField(start = 3, type = UINT_TYPE)
    Integer gunNo;
    @TransformField(start = 4, type = UINT_TYPE)
    Integer strategy;
    @TransformField(start = 5, type = FLOAT_TYPE, length = 2)
    Float strategyParam;
    @TransformField(start = 7, type = UINT_TYPE)
    Integer chgType;
    @TransformField(start = 8, type = STRING_TYPE, length = 27)
    String sn;
    @TransformField(start = 35, type = UINT_TYPE, length = 2)
    Integer fleetId;
}
