package com.zhili.stationserver.dto;


import com.zhili.stationserver.annotation.ProtocalTranform;
import com.zhili.stationserver.annotation.TransformField;
import lombok.Data;

import java.util.Date;

import static com.zhili.stationserver.constant.TransformType.*;


/**
 * @author ：HuangBin
 * @description：TODO
 * @date ：2023/4/10 15:19
 */
@Data
@ProtocalTranform(command = StationMessage.CommandType.PERCEPTION_PLC, size = 28)
public class PlcPerceptionInfoDto {
    String stationCode;
    @TransformField(start = 0, type = DATE_TYPE)
    Date time;
    @TransformField(start = 8, type = UINT_TYPE)
    Integer commState;
    @TransformField(start = 9, type = UINT_TYPE)
    Integer exchangeMode;
    @TransformField(start = 10, type = UINT_TYPE)
    Integer state;
    @TransformField(start = 11, type = UINT_TYPE)
    Integer pauseMode;
    @TransformField(start = 12, type = UINT_TYPE)
    Integer emergencyMode;
    @TransformField(start = 13, type = UINT_TYPE)
    Integer robotStep;
    @TransformField(start = 14, type = STRING_TYPE, length = 13)
    String exchangeNo;
    @TransformField(start = 27, type = UINT_TYPE)
    Integer chargerIdx;
}
