package com.zhili.stationserver.dto;

import lombok.Data;

/**
 * @author ：HuangBin
 * @description：TODO
 * @date ：2022/12/20 15:46
 */
@Data
public class StationMessage {
    int command;
    byte[] data;

    public static class CommandType {
        public static final int SIGN_IN = 401;
        public static final int SIGN_IN_REPLY = 402;
        public static final int HEART_BEAT = 403;
        public static final int HEART_BEAT_REPLY = 404;

        public static final int PERCEPTION_VEH = 101;
        public static final int PERCEPTION_VEH_REPLY = 102;
        public static final int PERCEPTION_PLC = 103;
        public static final int PERCEPTION_PLC_REPLY = 104;
        public static final int PERCEPTION_BAT_AVAILABLE = 105;
        public static final int PERCEPTION_BAT_AVAILABLE_REPLY = 106;
        public static final int PERCEPTION_EXCHANGE_INFO = 107;
        public static final int PERCEPTION_EXCHANGE_INFO_REPLY = 108;
        public static final int PERCEPTION_EXCHANGE_LOG = 109;
        public static final int PERCEPTION_EXCHANGE_LOG_REPLY = 110;
        public static final int PERCEPTION_CHARGE_RECORD = 111;
        public static final int PERCEPTION_CHARGE_RECORD_REPLY = 112;
        public static final int PERCEPTION_BAT_GUN_STATE = 113;
        public static final int PERCEPTION_BAT_GUN_STATE_REPLY = 114;

        public static final int REPLY_EXCHANGE = 301;
        public static final int START_EXCHANGE = 302;
        public static final int SET_CHARGE_RATE = 303;
        public static final int SET_CHARGE_RATE_REPLY = 304;
        public static final int START_CHARGE = 305;
        public static final int START_CHARGE_REPLY = 306;
        public static final int STOP_CHARGE = 307;
        public static final int STOP_CHARGE_REPLY = 308;
        public static final int EXCHANGE_RECORD = 501;
        public static final int EXCHANGE_RECORD_REPLY = 502;
    }
}
