package com.zhili.stationserver.dto;

import com.zhili.stationserver.annotation.ProtocalTranform;
import com.zhili.stationserver.annotation.TransformField;
import lombok.Data;

import java.util.Date;

import static com.zhili.stationserver.constant.TransformType.DATE_TYPE;
import static com.zhili.stationserver.constant.TransformType.STRING_TYPE;


/**
 * @author ：HuangBin
 * @description：TODO
 * @date ：2023/4/14 17:48
 */
@Data
@ProtocalTranform(command = StationMessage.CommandType.PERCEPTION_EXCHANGE_LOG, size = 307)
public class ExchangeLogDto {
    String stationCode;
    @TransformField(start = 0, type = DATE_TYPE)
    Date time;
    @TransformField(start = 8, type = STRING_TYPE, length = 13)
    String exchangeNo;
    @TransformField(start = 21, type = STRING_TYPE, length = 20)
    String vin;
    @TransformField(start = 41, type = STRING_TYPE, length = 10)
    String plate;
    @TransformField(start = 51, type = STRING_TYPE, length = 128)
    String content;
    @TransformField(start = 179, type = STRING_TYPE, length = 128)
    String remark;
}
