package com.zhili.stationserver.dto;


import com.zhili.stationserver.annotation.ProtocalTranform;
import com.zhili.stationserver.annotation.TransformField;
import lombok.Data;
import lombok.NoArgsConstructor;

import static com.zhili.stationserver.constant.TransformType.STRING_TYPE;
import static com.zhili.stationserver.constant.TransformType.UINT_TYPE;


@Data
@ProtocalTranform(command = StationMessage.CommandType.EXCHANGE_RECORD_REPLY, size = 32)
@NoArgsConstructor
public class UploadSwapDTO {
    @TransformField(start = 0, type = STRING_TYPE, length = 32)
    String exchangeNo;
    @TransformField(start = 32, type = UINT_TYPE)
    int result;
}
